VERSION 4.00
Begin VB.Form frmDocFace 
   ClientHeight    =   3852
   ClientLeft      =   1752
   ClientTop       =   2076
   ClientWidth     =   6528
   Height          =   4452
   Icon            =   "FRMDOC.frx":0000
   Left            =   1704
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   3852
   ScaleWidth      =   6528
   Top             =   1524
   Visible         =   0   'False
   Width           =   6624
   Begin VB.TextBox txtDoc 
      Height          =   3144
      Left            =   30
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   30
      Width           =   5736
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileNew 
         Caption         =   "&New"
         Shortcut        =   ^N
      End
      Begin VB.Menu mnuFileOpen 
         Caption         =   "&Open..."
         Shortcut        =   ^O
      End
      Begin VB.Menu mnuClose 
         Caption         =   "&Close"
      End
      Begin VB.Menu mnuFileSep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuSave 
         Caption         =   "&Save"
         Shortcut        =   ^S
      End
      Begin VB.Menu mnuSaveAs 
         Caption         =   "Save &As..."
         Shortcut        =   ^A
      End
      Begin VB.Menu mnuFileSaveAll 
         Caption         =   "Save Al&l"
         Shortcut        =   ^L
      End
      Begin VB.Menu mnuFileSep2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFilePrint 
         Caption         =   "&Print"
      End
      Begin VB.Menu mnuFileSep3 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuTools 
      Caption         =   "&Tools"
      Begin VB.Menu mnuToolsFont 
         Caption         =   "&Font..."
      End
      Begin VB.Menu mnuToolsSep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuToolsUsingMhCMDialog 
         Caption         =   "&Using The MhCommonDialog"
      End
   End
   Begin VB.Menu mnuWindow 
      Caption         =   "&Window"
      Begin VB.Menu mnuWindowArangeAll 
         Caption         =   "&ArrangeAll"
      End
   End
   Begin VB.Menu mnuAbout 
      Caption         =   "&About..."
   End
End
Attribute VB_Name = "frmDocFace"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

' this variable points to the object which is the ParentObject of this form
Private m_oParent As Object
Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)


    ' if the parent object of this form has data to be saved then ask the
    '   user if they would like to have it saved
    With m_oParent
        If .NeedToSaveData Then
            SetFocus
            If MsgBox("Save changes to " & LCase$(.Caption) & "?", vbYesNo + vbExclamation) = vbYes Then mnuSave_Click
        End If
        ' close down CDoc instance
        m_oParent.CloseDown
    End With ' m_oParent
    
    
End Sub
Public Sub Form_Resize()


    ' resize the textbox
    With txtDoc
        .Height = ScaleHeight - 30
        .Width = ScaleWidth - 30
    End With ' txtDoc
    
End Sub
Private Sub mnuAbout_Click()


    ' show the about box
    Editor.ShowAbout
    
    
End Sub
Private Sub mnuClose_Click()


    ' unload this form
    Unload Me
    
    
End Sub
Private Sub mnuFileExit_Click()


    ' unload my grandParentObject
    Unload Editor.Face


End Sub

Private Sub mnuFileNew_Click()


    ' call the NewFile method of the main application object
    Editor.NewFile
    
    
End Sub

Private Sub mnuFileOpen_Click()


    ' call the open file method of the main application object
    Call Editor.OpenFile
    
        
End Sub
Private Sub mnuFilePrint_Click()


    Screen.MousePointer = vbHourglass
    Call Editor.PrintDocument(m_oParent)
    Screen.MousePointer = vbDefault
    
    
End Sub
Private Sub mnuFileSaveAll_Click()


    ' call the SaveAll method of the main application object
    Editor.SaveAllFiles
    
    
End Sub
Private Sub mnuSave_Click()


    ' if this document has a file name then call its Save method
    If Trim$(m_oParent.FileName) <> "" Then
        m_oParent.Save
    Else
        ' do a save as by calling the save as method of the Editor object
        Call Editor.SaveFileAs(m_oParent)
    End If
    
    
End Sub

Private Sub mnuSaveAs_Click()


    ' call the save as method of the main application object
    Call Editor.SaveFileAs(m_oParent)


End Sub
Private Sub mnuToolsFont_Click()


    Screen.MousePointer = vbHourglass
    ' show the font edit form
    Set frmEditFont.Patient = txtDoc
    Load frmEditFont
    Screen.MousePointer = vbDefault
    frmEditFont.Show vbModal
    
    
End Sub
Private Sub mnuToolsUsingMhCMDialog_Click()


    ' show the form which tells the user how to use the MhCMDialog control
    Editor.ShowUsingMhCMDialog
      
      
End Sub
Private Sub mnuWindowArangeAll_Click()


    Editor.ArrangeDocuments
    
    
End Sub
Private Sub txtDoc_Change()


    ' indicate that the data has changed
    Call m_oParent.DataHasChanged
    
    
End Sub
Public Property Set ParentObject(NewParentObject As Object)


    Set m_oParent = NewParentObject
    
    
End Property
