VERSION 4.00
Begin VB.Form fMhSlide 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "MicroHelp MhSlide Example"
   ClientHeight    =   6480
   ClientLeft      =   1008
   ClientTop       =   1416
   ClientWidth     =   8232
   BeginProperty Font 
      name            =   "MS Sans Serif"
      charset         =   0
      weight          =   700
      size            =   7.8
      underline       =   0   'False
      italic          =   0   'False
      strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Height          =   6852
   Left            =   960
   LinkTopic       =   "Form1"
   ScaleHeight     =   6480
   ScaleWidth      =   8232
   Top             =   1092
   Width           =   8328
   Begin VB.PictureBox Picture1 
      Height          =   4992
      Left            =   840
      Picture         =   "Fmhslide.frx":0000
      ScaleHeight     =   4944
      ScaleWidth      =   5904
      TabIndex        =   7
      Top             =   720
      Width           =   5950
   End
   Begin VB.CommandButton cmdBitmaps 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "About Bitmaps"
      Height          =   492
      Left            =   5160
      TabIndex        =   5
      Top             =   5880
      Width           =   1692
   End
   Begin VB.CommandButton cmdEnd 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "End"
      Height          =   516
      Left            =   150
      TabIndex        =   0
      Top             =   50
      Width           =   516
   End
   Begin Mhsl200Lib.MhSlide MhSlideY 
      Height          =   4935
      Left            =   120
      TabIndex        =   8
      Top             =   720
      Width           =   615
      _Version        =   65536
      _ExtentX        =   1085
      _ExtentY        =   8705
      _StockProps     =   73
      TintColor       =   16711935
      Value           =   0
      Style           =   0
      Min             =   0
      Max             =   100
      LargeUp         =   10
      LargeDown       =   10
      SmallUp         =   1
      SmallDown       =   1
   End
   Begin Mhsl200Lib.MhSlide MhSlideX 
      Height          =   612
      Left            =   864
      TabIndex        =   6
      Top             =   0
      Width           =   6012
      _Version        =   65536
      _ExtentX        =   10610
      _ExtentY        =   1085
      _StockProps     =   73
      TintColor       =   16711935
      Value           =   0
      Style           =   0
      Min             =   0
      Max             =   100
      LargeUp         =   10
      LargeDown       =   10
      SmallUp         =   1
      SmallDown       =   1
   End
   Begin VB.Label lblY 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H00C0C0C0&
      BackStyle       =   0  'Transparent
      ForeColor       =   &H80000008&
      Height          =   252
      Left            =   4080
      TabIndex        =   4
      Top             =   6000
      Width           =   492
   End
   Begin VB.Label lblYEquals 
      Appearance      =   0  'Flat
      BackColor       =   &H00C0C0C0&
      BackStyle       =   0  'Transparent
      Caption         =   "Y Coordinate ="
      ForeColor       =   &H80000008&
      Height          =   252
      Left            =   2640
      TabIndex        =   3
      Top             =   6000
      Width           =   1332
   End
   Begin VB.Label lblX 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H00C0C0C0&
      BackStyle       =   0  'Transparent
      ForeColor       =   &H80000008&
      Height          =   252
      Left            =   1440
      TabIndex        =   2
      Top             =   6000
      Width           =   492
   End
   Begin VB.Label lblXEquals 
      Appearance      =   0  'Flat
      BackStyle       =   0  'Transparent
      Caption         =   "X Coordinate ="
      ForeColor       =   &H80000008&
      Height          =   252
      Left            =   240
      TabIndex        =   1
      Top             =   6000
      Width           =   1332
   End
End
Attribute VB_Name = "fMhSlide"
Attribute VB_Creatable = False
Attribute VB_Exposed = False


Option Explicit

Const im_VERT = 0, im_HORZ = 1
Private Sub cmdBitmaps_Click()
'Show modal explanation form
    
    fXplain.Show 1

End Sub

Private Sub cmdEnd_Click()
'dump form and end

    Unload fMhSlide
    End

End Sub

Private Sub Form_Load()

    'Set slide properties
    MhSlideX.Style = im_HORZ
    
    'Set maximum values for slides
    MhSlideY.Max = Picture1.ScaleHeight
    MhSlideX.Max = Picture1.ScaleWidth

    'If the mouse isn't over the picture when the program starts,
    'give labels default values so they aren't empty
    If MhSlideY.Value = 0 Then
        lblX.Caption = "0"
    End If

    If MhSlideX.Value = 0 Then
        lblY.Caption = "0"
    End If
    
    ' center form to screen
    Move Abs(Screen.Width - Width) \ 2, Abs(Screen.Height - Height) \ 2

End Sub

Private Sub Picture1_MouseMove(button As Integer, Shift As Integer, X As Single, Y As Single)
'Feed values to labels and slides
    
    MhSlideY.Value = Y
    lblY.Caption = Str$(MhSlideY.Value)
    MhSlideX.Value = X
    lblX.Caption = Str$(MhSlideX.Value)
    
End Sub

