VERSION 4.00
Begin VB.Form frmEditFont 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Text Window Properties"
   ClientHeight    =   2724
   ClientLeft      =   1188
   ClientTop       =   1512
   ClientWidth     =   4212
   Height          =   3096
   Icon            =   "EDITFONT.frx":0000
   Left            =   1140
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2724
   ScaleWidth      =   4212
   ShowInTaskbar   =   0   'False
   Top             =   1188
   Width           =   4308
   Begin VB.CommandButton cmdOkCancelApply 
      Caption         =   "&Apply"
      Enabled         =   0   'False
      Height          =   372
      Index           =   2
      Left            =   2880
      TabIndex        =   2
      Top             =   2232
      Width           =   1212
   End
   Begin VB.CommandButton cmdOkCancelApply 
      Cancel          =   -1  'True
      Caption         =   "&Cancel"
      Height          =   372
      Index           =   1
      Left            =   1584
      TabIndex        =   1
      Top             =   2232
      Width           =   1212
   End
   Begin VB.CommandButton cmdOkCancelApply 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   372
      Index           =   0
      Left            =   288
      TabIndex        =   0
      Top             =   2232
      Width           =   1212
   End
   Begin Threed.SSPanel SSPanel1 
      Height          =   2028
      Left            =   108
      TabIndex        =   3
      Top             =   108
      Width           =   3972
      _Version        =   65536
      _ExtentX        =   7006
      _ExtentY        =   3577
      _StockProps     =   15
      Begin VB.CommandButton cmdColor 
         Caption         =   "&BackColor"
         Height          =   372
         Index           =   1
         Left            =   2628
         TabIndex        =   9
         Top             =   468
         Width           =   1212
      End
      Begin VB.CheckBox chkApplyToNew 
         Caption         =   "Apply To All &New Windows"
         Height          =   228
         Left            =   144
         TabIndex        =   8
         Top             =   144
         Width           =   3108
      End
      Begin VB.TextBox txtSample 
         Height          =   516
         Left            =   144
         Locked          =   -1  'True
         MultiLine       =   -1  'True
         ScrollBars      =   2  'Vertical
         TabIndex        =   6
         Text            =   "EDITFONT.frx":0442
         Top             =   1368
         Width           =   3504
      End
      Begin VB.CommandButton cmdColor 
         Caption         =   "&ForeColor"
         Height          =   372
         Index           =   0
         Left            =   1368
         TabIndex        =   5
         Top             =   468
         Width           =   1212
      End
      Begin VB.CommandButton cmdFont 
         Caption         =   "&Select Font"
         Height          =   372
         Left            =   108
         TabIndex        =   4
         Top             =   468
         Width           =   1212
      End
      Begin Threed.SSPanel SSPanel2 
         Height          =   24
         Left            =   -468
         TabIndex        =   10
         Top             =   1008
         Width           =   4908
         _Version        =   65536
         _ExtentX        =   8657
         _ExtentY        =   42
         _StockProps     =   15
         Caption         =   "SSPanel2"
         BackColor       =   14264494
         BevelOuter      =   1
      End
      Begin VB.Label Label1 
         Caption         =   "Sample"
         Height          =   264
         Left            =   144
         TabIndex        =   7
         Top             =   1116
         Width           =   1776
      End
   End
End
Attribute VB_Name = "frmEditFont"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit ' always

' this is the object whose font properties are getting changed
Private m_oPatient As TextBox
' This variable points to the object which is the owner of this form object.
'   It gets returned and set by the ParentObject property procedures
Private m_oParent As Object
Public Property Set ParentObject(NewParentObject As Object)


    ' set the object which is the parent of this form object
    Set m_oParent = NewParentObject
    

End Property
Public Property Get ParentObject() As Object


    ' return reference to the object which is this form's parent
    Set ParentObject = m_oParent
    
    
End Property
'  This procedure shows the color dialog to set the back/fore color
Private Sub cmdColor_Click(Index As Integer)


    Dim bDialogCanceled As Boolean, iNewColor As Long
    
    If Not bDialogCanceled Then
        Select Case Index
        Case 0 ' set the forecolor
            ' show the color dialog to get the new forecolor
            Call Editor.ShowColorDialog(iNewColor, bDialogCanceled)
            If Not bDialogCanceled Then txtSample.ForeColor = iNewColor
        Case 1 ' set the backcolor
            ' show the color dialog to get the new backcolor
            Call Editor.ShowColorDialog(iNewColor, bDialogCanceled)
            If Not bDialogCanceled Then txtSample.BackColor = iNewColor
        End Select
        ' there are changes to be applied
        cmdOkCancelApply(2).Enabled = True
    End If
    
    
End Sub
Private Sub cmdFont_Click()


    ' show the choose font dialog to get the new font properties
    Call Editor.ShowFontDialog(txtSample)
    ' there are changes to be applied
    cmdOkCancelApply(2).Enabled = True


End Sub
Private Sub cmdOkCancelApply_Click(Index As Integer)


    Select Case Index
    Case 0, 2 ' ok or apply button pressed so apply changes
        ' apply changes to the patient object
        With m_oPatient
            .BackColor = txtSample.BackColor
            .ForeColor = txtSample.ForeColor
            .FontBold = txtSample.FontBold
            .FontItalic = txtSample.FontItalic
            .FontName = txtSample.FontName
            .FontSize = txtSample.FontSize
            .FontStrikethru = txtSample.FontStrikethru
            .FontUnderline = txtSample.FontUnderline
        End With ' m_oPatient
        ' if the 'apply changes to new windows' is checked then apply changes to the Editor object
        If chkApplyToNew Then
            With Editor
                .BackColor = txtSample.BackColor
                .ForeColor = txtSample.ForeColor
                .FontBold = txtSample.FontBold
                .FontItalic = txtSample.FontItalic
                .FontName = txtSample.FontName
                .FontSize = txtSample.FontSize
                .FontStrikethru = txtSample.FontStrikethru
                .FontUnderline = txtSample.FontUnderline
            End With ' Editor
        End If
    Case 1 ' cancel
    End Select
    
    ' if the user hit the apply button then turn it off since the changes have been applied
    '   otherwise unload the form since the user hit cancel or ok
    If Index = 2 Then ' turn apply button off
        cmdOkCancelApply(2).Enabled = False
    Else
        Unload Me
    End If
    
    
End Sub
Private Sub Form_Load()
    
    
    ' place this form at top left of screen so that it will not obscure the form from which it was launched
    Top = 0
    Left = 0
    
    
End Sub
Public Property Set Patient(oNewPatient As Object)


    ' set the object whose font properties are being edited
    Set m_oPatient = oNewPatient


End Property
